Subject: bug#76506: closed (Re: bug#76506: Electric-command-history-redo-expression does nothing)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 02 Mar 2025 05:40:02 +0000

Your bug report

#76506: Electric-command-history-redo-expression does nothing

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
76506: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=76506
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#76506: Electric-command-history-redo-expression does nothing
From: Stefan Kangas <[email-masked]>
To: Robert Pluim <[email-masked]>
Cc: [email-masked]
Date: Sat, 1 Mar 2025 21:39:35 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 31.1

Stefan Kangas <[email-masked]> writes:

>> I think you need
>>
>> M-x electric-command-history
>
> Aha, right.  That command on the other hand is not autoloaded, curiously
> enough, so you need to say this first:
>
>     (require 'echistory)
>
>> for things to work. Iʼve never used it, and trying it just now itʼs
>> excessively intrusive and obnoxious with its bindings. We can fix
>> that, but if nobody is using it thatʼs not worth it.
>
> Agreed on all of the above, thanks.

I have now moved echistory.el to lisp/obsolete.  Let's see if anyone
protests against this change, meanwhile I'm closing this bug report.

Subject: Electric-command-history-redo-expression does nothing
From: Stefan Kangas <[email-masked]>
To: [email-masked]
Date: Sun, 23 Feb 2025 16:46:01 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Severity: normal

The `Electric-command-history-redo-expression` command is autoloaded
but it doesn't seem to do anything:

0. emacs -Q
1. M-x command-history RET
2. M-x Electric-command-history-redo-expression RET

Since this has seemingly been broken for a long time, and no one has
noticed, perhaps echistory.el is simply unused and should be obsoleted?

I find nothing about this obscure command online or on the mailing lists.